Package org.jfree.report.modules.factories.report.simplex

## Class SimplexXmlFactoryModule

- java.lang.Object
- - org.jfree.report.modules.factories.report.simplex.SimplexXmlFactoryModule

- All Implemented Interfaces:
    `org.pentaho.reporting.libraries.xmlns.parser.XmlFactoryModule`

      public class SimplexXmlFactoryModule
      extends java.lang.Object
      implements org.pentaho.reporting.libraries.xmlns.parser.XmlFactoryModule

  The Simplex-Format will be a mix of the old simple xml format and the new flow format.
  Author:
    Thomas Morgner

- - ### Field Summary

    - ### Fields inherited from interface org.pentaho.reporting.libraries.xmlns.parser.XmlFactoryModule

      `NOT_RECOGNIZED, RECOGNIZED_BY_DTD, RECOGNIZED_BY_NAMESPACE, RECOGNIZED_BY_TAGNAME`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimplexXmlFactoryModule()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler` | `createReadHandler​(org.pentaho.reporting.libraries.xmlns.parser.XmlDocumentInfo documentInfo)` |
    `java.lang.String` | `getDefaultNamespace​(org.pentaho.reporting.libraries.xmlns.parser.XmlDocumentInfo documentInfo)` |
    `int` | `getDocumentSupport​(org.pentaho.reporting.libraries.xmlns.parser.XmlDocumentInfo documentInfo)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimplexXmlFactoryModule

          public SimplexXmlFactoryModule()

  - ### Method Detail

    - #### getDocumentSupport

          public int getDocumentSupport​(org.pentaho.reporting.libraries.xmlns.parser.XmlDocumentInfo documentInfo)

      Specified by:
        `getDocumentSupport` in interface `org.pentaho.reporting.libraries.xmlns.parser.XmlFactoryModule`

    - #### createReadHandler

          public org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler createReadHandler​(org.pentaho.reporting.libraries.xmlns.parser.XmlDocumentInfo documentInfo)

      Specified by:
        `createReadHandler` in interface `org.pentaho.reporting.libraries.xmlns.parser.XmlFactoryModule`

    - #### getDefaultNamespace

          public java.lang.String getDefaultNamespace​(org.pentaho.reporting.libraries.xmlns.parser.XmlDocumentInfo documentInfo)

      Specified by:
        `getDefaultNamespace` in interface `org.pentaho.reporting.libraries.xmlns.parser.XmlFactoryModule`